package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[实体属性访问控制]
 */
@Component("ionicdemo_CodeList88CodeList")
public class CodeList88CodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_CodeList88");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("NONE");
		item0.setId("NONE");
		item0.setText("无");
		item0.setLabel("无");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("NONE",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("READ");
		item1.setId("READ");
		item1.setText("读取");
		item1.setLabel("读取");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("READ",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("UPDATE");
		item2.setId("UPDATE");
		item2.setText("更新");
		item2.setLabel("更新");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("UPDATE",item2);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}